GNU bug report logs - #38039
27.0.50; Dired kill associated buffers matching extension

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Jeff Spencer <jeffspencerd@HIDDEN>; Keywords: wontfix; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 38039 <at> debbugs.gnu.org and Jeff Spencer <jeffspencerd@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38039 <at> debbugs.gnu.org:


Received: (at 38039) by debbugs.gnu.org; 8 May 2022 14:06:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 08 10:06:48 2022
Received: from localhost ([127.0.0.1]:54936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnhYe-00038X-Hz
	for submit <at> debbugs.gnu.org; Sun, 08 May 2022 10:06:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nnhYc-00038H-Sn
 for 38039 <at> debbugs.gnu.org; Sun, 08 May 2022 10:06:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kjspYMPQ/DRvErTLjBQCXwhNf1ImrWC/+Gjyqt4pxtQ=; b=Rh/2CUX6rGXf5gltbqZVoyaPeQ
 /S6itfQNlUDvLC/yKQUn7j4U77j3AZtXAyjOgn7v0O35CwduzWNrNUaC8qdlra0uZpq8/kFlEGlJX
 RA6tyyDJ5BXN91giLkfNXeaPezRCDjzfvlmG5JxZoyVD7DYAN21L1xiydoxOrMjxnKEY=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nnhYU-0000to-UQ; Sun, 08 May 2022 16:06:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jeff Spencer <jeffspencerd@HIDDEN>
Subject: Re: bug#38039: 27.0.50; Dired kill associated buffers matching
 extension
References: <CALmFPZ17Jb8o1-7pNH7EbraHFM9cFocmH7rPa0i61=wrC0_0og@HIDDEN>
X-Now-Playing: Pet Shop Boys's _Discovery (2)_: "Absolutely Fabulous"
Date: Sun, 08 May 2022 16:06:38 +0200
In-Reply-To: <CALmFPZ17Jb8o1-7pNH7EbraHFM9cFocmH7rPa0i61=wrC0_0og@HIDDEN>
 (Jeff Spencer's message of "Sat, 2 Nov 2019 20:22:44 -0400")
Message-ID: <87mtfsdspd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jeff Spencer <jeffspencerd@HIDDEN> writes: > A feature
 enhancement that is related to this is that I would like to be able to set
 > the file extensions that would automatically be deleted. Then for the >
 other file extensions confirm before de [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38039
Cc: 38039 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jeff Spencer <jeffspencerd@HIDDEN> writes:

> A feature enhancement that is related to this is that I would like to be able to set
> the file extensions that would automatically be deleted. Then for the
> other file extensions confirm before deleting the buffers. I see
> possiblyl changing dired-clean-confirm-killing-deleted-buffers to
> allowing three differnt options. One is nil meaning don't ask and
> automatically kill everything. One is t meaning confirm all buffers. The
> last is a list like '(.txt .pdf)) that will allow these extensions to
> automatically be killed but all others it will ask. But the problem with
> this is the dired and sub-directory killing part. If you specify a list,
> I think there needs a seperate variable that you can control the dired
> buffer killing from the regular buffer killing. 

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

In my opinion, this would require so much customisation that I don't
think it's a feature that many people would use.  So I'm closing this as
a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38039; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Nov 2019 00:30:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 20:30:36 2019
Received: from localhost ([127.0.0.1]:33267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iR3mr-0005IT-Qv
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 20:30:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:60343)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeffspencerd@HIDDEN>) id 1iR3mq-0005IK-8i
 for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 20:30:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41702)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jeffspencerd@HIDDEN>) id 1iR3mo-0003rM-Qh
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 20:30:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jeffspencerd@HIDDEN>) id 1iR3mn-0002T7-Is
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 20:30:30 -0400
Received: from mail-ot1-x333.google.com ([2607:f8b0:4864:20::333]:43686)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jeffspencerd@HIDDEN>)
 id 1iR3mn-0002OS-Da
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 20:30:29 -0400
Received: by mail-ot1-x333.google.com with SMTP id u4so567112otq.10
 for <bug-gnu-emacs@HIDDEN>; Sat, 02 Nov 2019 17:30:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=fn2NSURJ/rUze/zsiL063Mba9rPHtVxLymCLYIn4OOw=;
 b=UX4DxGSubv9w1sPZP77CNieggJdN3jhu0OKdcwHMf2IxKOl1q2tHxpGMuAXwL6SufE
 380HkvyFFwbKaVLBXhLqW9e3GNQlYFSmXCWHQ+01tDDDpaA6wMjAcOyyP+X5OvYlD8Je
 LAlqwriY1W1mqYc7JUVCnr7zyKg75Uvy3ScDSLL0YzNat7cfXkkerRH7CzuWSvQpmWM1
 S0LXpsOP93g/r/odO+2by/3dSRbk8g2G4GW7uqOX9y6UXdxaWkXJWmDBhld2fxX0X0Th
 lsxkq/w1K9onZzzrLLnGdZ1A3pS/IjzKE0m5TIcTfmtgWt6YDX2dUD0ya+JRsAxkpcz4
 bitA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=fn2NSURJ/rUze/zsiL063Mba9rPHtVxLymCLYIn4OOw=;
 b=gBd5vdisF18VeDSDMiZxcQY/1NtsSor3HSq/Z008Kfpp8NsipNJDKzBQQ7x/9rm+GY
 avtwY9rM52iqH63U/T7jg37pjIuEyB6n5omfVWYDT0ehSu8TRnLc7VTHLcteQoEt8yzI
 EqwqcwKaXHEZY7mmbFnbiBWXt0k2PJQ1datXwKQWhFxC//OBH4VQ1/PEZMbWTYu1iA4y
 9YMAuhVAO8Calv896l7CXemPepqZmqSbxtVC14rNJybHp+BUXb4UAG1SJnBuohXcdblJ
 /V5M+5krEtdomymshM++pSQDgNwfe9rQWunHp0kG8p7AKmjH2l5MtN7jYY+3WnxJnAOV
 HHNQ==
X-Gm-Message-State: APjAAAUKwLECUwyq1ksc9it9JIv1RNBhFRmRbPvFxLC2t3mgv2zSn3D1
 d61g2c6a7bwctfKggyb1X0JZ9ZvLhcZslQ7GfmRDfupvcOE=
X-Google-Smtp-Source: APXvYqyZVh9qaYMgyawR1Up2w+MSkOXCKErjiVesKyDDQ1GqecGvSXxJIwV3ONlAGvfCtiuGlT8JqTzYvBJBE8ANypQ=
X-Received: by 2002:a05:6830:1bdc:: with SMTP id
 v28mr14472831ota.296.1572741028411; 
 Sat, 02 Nov 2019 17:30:28 -0700 (PDT)
MIME-Version: 1.0
References: <CALmFPZ17Jb8o1-7pNH7EbraHFM9cFocmH7rPa0i61=wrC0_0og@HIDDEN>
In-Reply-To: <CALmFPZ17Jb8o1-7pNH7EbraHFM9cFocmH7rPa0i61=wrC0_0og@HIDDEN>
From: Jeff Spencer <jeffspencerd@HIDDEN>
Date: Sat, 2 Nov 2019 20:30:17 -0400
Message-ID: <CALmFPZ1qshxr30L3ScqsQSkJSaNJxC8TCT+E815MC5ienro2BA@HIDDEN>
Subject: Re: 27.0.50; Dired kill associated buffers matching extension
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000527e7d0596664eed"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::333
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000527e7d0596664eed
Content-Type: text/plain; charset="UTF-8"

Sorry, the bug report I submitted was bug #38037.

On Sat, Nov 2, 2019 at 8:22 PM Jeff Spencer <jeffspencerd@HIDDEN> wrote:

>
> I submited the prior bug request Dired dired-clean-up-after-deletion
> bug.
>
> A feature enhancement that is related to this is that I would like to be
> able to set
> the file extensions that would automatically be deleted. Then for the
> other file extensions confirm before deleting the buffers. I see
> possiblyl changing dired-clean-confirm-killing-deleted-buffers to
> allowing three differnt options. One is nil meaning don't ask and
> automatically kill everything. One is t meaning confirm all buffers. The
> last is a list like '(.txt .pdf)) that will allow these extensions to
> automatically be killed but all others it will ask. But the problem with
> this is the dired and sub-directory killing part. If you specify a list,
> I think there needs a seperate variable that you can control the dired
> buffer killing from the regular buffer killing.
>

--000000000000527e7d0596664eed
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Sorry, the bug report I submitted was bug #<span style=3D"=
color:rgb(32,33,36);font-family:&quot;Google Sans&quot;,Roboto,RobotoDraft,=
Helvetica,Arial,sans-serif;font-size:22px;font-variant-ligatures:no-context=
ual">38037.</span></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" cla=
ss=3D"gmail_attr">On Sat, Nov 2, 2019 at 8:22 PM Jeff Spencer &lt;<a href=
=3D"mailto:jeffspencerd@HIDDEN">jeffspencerd@HIDDEN</a>&gt; wrote:<br=
></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;=
border-left:1px solid rgb(204,204,204);padding-left:1ex"><div dir=3D"ltr"><=
br>I submited the prior bug request Dired dired-clean-up-after-deletion<br>=
bug.<br><br>A feature enhancement that is related to this is that I would l=
ike to be able to set<br>the file extensions that would automatically be de=
leted. Then for the<br>other file extensions confirm before deleting the bu=
ffers. I see<br>possiblyl changing dired-clean-confirm-killing-deleted-buff=
ers to<br>allowing three differnt options. One is nil meaning don&#39;t ask=
 and<br>automatically kill everything. One is t meaning confirm all buffers=
. The<br>last is a list like &#39;(.txt .pdf)) that will allow these extens=
ions to<br>automatically be killed but all others it will ask. But the prob=
lem with<br>this is the dired and sub-directory killing part. If you specif=
y a list,<br>I think there needs a seperate variable that you can control t=
he dired<br>buffer killing from the regular buffer killing. </div>
</blockquote></div>

--000000000000527e7d0596664eed--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38039; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Nov 2019 00:23:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 20:23:02 2019
Received: from localhost ([127.0.0.1]:33254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iR3fa-00052o-02
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 20:23:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:57930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeffspencerd@HIDDEN>) id 1iR3fX-00052K-7G
 for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 20:23:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40388)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jeffspencerd@HIDDEN>) id 1iR3fW-0001fU-12
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 20:22:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jeffspencerd@HIDDEN>) id 1iR3fU-00013t-Tz
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 20:22:57 -0400
Received: from mail-oi1-x22e.google.com ([2607:f8b0:4864:20::22e]:34798)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jeffspencerd@HIDDEN>)
 id 1iR3fU-00013f-Ow
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 20:22:56 -0400
Received: by mail-oi1-x22e.google.com with SMTP id l202so11228189oig.1
 for <bug-gnu-emacs@HIDDEN>; Sat, 02 Nov 2019 17:22:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=qiaGamPwnaD6KzDV+wypqPFlYkXk04x+ZtzdqSavOd4=;
 b=ZExGinbXHkMihKmdP6Mo9umnDgYz0VSuJWcOxPlTUVC3TeCbSXi1iLDyjxRo406c+P
 qEcHBCtEUD9siaMpKGNr0bEFuIpGa4W4foNo9RJjkVFMOkP0EucXTO3X+mmPUZ8jCSM7
 4WisYCsQL0GSx5knZD/zu0b/DhWJgpvfdiZAtWwUUrd7tgKQFPmyAFdr1VvZoiwGBAnt
 TNLLL5CRbpmDcRF0d7FKMJKj3RNuTPk6zsi28stfWg71J2FGyiHv2VfEJ2GWJ3+ACarJ
 XwHXI3N8Ut9P7Ri/tWy9mgyry9bAo1wGqZ2HU/88nluKZILwgBoOU3XQ3pSRZT6sU0YX
 wGaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=qiaGamPwnaD6KzDV+wypqPFlYkXk04x+ZtzdqSavOd4=;
 b=ptWajEVyV91DlBKnxRUlxKOkKx+Z+sTS/8D/tySSi4SANOcmPbza/SxK7+R8eMWoW/
 GPoGIc9RyQGm8AFCcp9hPQRG7XZSmsbmrOq4vTCAIlcGT/1umm6tPPPglMh8pnJoR82Y
 NwxAj5gnPQNvVBzZ7BS8gQW8NoMiT89CQ5+xcxT2wLZ79oI0ds5hl5rKEXZf/D/LLVdK
 SYzzXLP5MmKo4lWukf0I+1+KDhJGKWqA4OvcYylnysY6CmJLWLlt0bIOAzVYvuTeE5Ri
 rKWSuHEcPk/DA++yRof29objDmQCgyyeWgyhJND/u88mXYrLfniNyNMUAnPaj1Fq//I8
 Dd2w==
X-Gm-Message-State: APjAAAXIeWebVvaHGY4YBqzn3k0FTkSwlfQTXbwqQ1f+d2nEGyn0SxiV
 wMXHSe4Bjot0muGpsgkDNNSF28N71mpN654lqc5oiXi3
X-Google-Smtp-Source: APXvYqzMI2DcirxYUvj9n95za1MFPyh0HPuwEEsnFkz3V9xqbGhMy9LTKCepVGVUZkcsYOqB93n7WjzbC3juV3uNYfA=
X-Received: by 2002:aca:ed0f:: with SMTP id l15mr6390879oih.111.1572740575439; 
 Sat, 02 Nov 2019 17:22:55 -0700 (PDT)
MIME-Version: 1.0
From: Jeff Spencer <jeffspencerd@HIDDEN>
Date: Sat, 2 Nov 2019 20:22:44 -0400
Message-ID: <CALmFPZ17Jb8o1-7pNH7EbraHFM9cFocmH7rPa0i61=wrC0_0og@HIDDEN>
Subject: 27.0.50; Dired kill associated buffers matching extension
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000052b21605966633ed"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::22e
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000052b21605966633ed
Content-Type: text/plain; charset="UTF-8"

I submited the prior bug request Dired dired-clean-up-after-deletion
bug.

A feature enhancement that is related to this is that I would like to be
able to set
the file extensions that would automatically be deleted. Then for the
other file extensions confirm before deleting the buffers. I see
possiblyl changing dired-clean-confirm-killing-deleted-buffers to
allowing three differnt options. One is nil meaning don't ask and
automatically kill everything. One is t meaning confirm all buffers. The
last is a list like '(.txt .pdf)) that will allow these extensions to
automatically be killed but all others it will ask. But the problem with
this is the dired and sub-directory killing part. If you specify a list,
I think there needs a seperate variable that you can control the dired
buffer killing from the regular buffer killing.

--00000000000052b21605966633ed
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>I submited the prior bug request Dired dired-clean-up-=
after-deletion<br>bug.<br><br>A feature enhancement that is related to this=
 is that I would like to be able to set<br>the file extensions that would a=
utomatically be deleted. Then for the<br>other file extensions confirm befo=
re deleting the buffers. I see<br>possiblyl changing dired-clean-confirm-ki=
lling-deleted-buffers to<br>allowing three differnt options. One is nil mea=
ning don&#39;t ask and<br>automatically kill everything. One is t meaning c=
onfirm all buffers. The<br>last is a list like &#39;(.txt .pdf)) that will =
allow these extensions to<br>automatically be killed but all others it will=
 ask. But the problem with<br>this is the dired and sub-directory killing p=
art. If you specify a list,<br>I think there needs a seperate variable that=
 you can control the dired<br>buffer killing from the regular buffer killin=
g. </div>

--00000000000052b21605966633ed--




Acknowledgement sent to Jeff Spencer <jeffspencerd@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38039; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 8 May 2022 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.